using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Sirenix.OdinInspector;

namespace KairoEngine.Achievements
{
    [System.Serializable]
    public class AchievementStatus
    {
        [HorizontalGroup("data", 0.015f), HideLabel, ReadOnly] public bool unlocked = false;
        [HorizontalGroup("data", 0.985f), HideLabel, ReadOnly] public AchievementBase achievement;
        

        public AchievementStatus(AchievementBase achievement, bool unlocked)
        {
            this.achievement = achievement;
            this.unlocked = unlocked;
        }
    }
}
